Contacts
Update contact
You can only specify properties to update in the properties field as this method will PATCH the existing contact.
Properties not found in the properties field will not be modified.
PATCH
/
v3
/
contacts
/
{id}
Update contact
curl --request PATCH \
--url https://api.example.com/v3/contacts/{id} \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"id": 123,
"properties": {}
}
'import requests
url = "https://api.example.com/v3/contacts/{id}"
payload = {
"id": 123,
"properties": {}
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({id: 123, properties: {}})
};
fetch('https://api.example.com/v3/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"source": "Unknown",
"properties": {}
}Path Parameters
The ID of the contact to update.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Update contact
